/*
 *	+++ NAME +++
 *
 *	 DMOD   Double precision modulo
 *
 *	+++ INDEX +++
 *
 *	 DMOD
 *	 machine independent routines
 *	 math libraries
 *
 *	+++ DESCRIPTION +++
 *
 *	Returns double precision modulo of two double
 *	precision arguments.
 *
 *	+++ USAGE +++
 *
 *	 double dmod(value,base)
 *	 double value;
 *	 double base;
 *
 *	+++ PROGRAMMER +++
 *
 *	 Fred Fish
 *	 Goodyear Aerospace Corp, Arizona Div.
 *	 (602) 932-7000 work
 *	 (602) 894-6881 home
 *
 *	---
 */

/*)LIBRARY
*/

#include <stdio.h>
#include "c:pmluse.h"
#include "pml.h"

double dmod (value,base)
double value;
double base;
{
    double dsign(),dint();

    value /= base;
    value -= dsign(dint(value),value);
    value *= base;
}
